## kmail-account-wizard 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-set(KDEPIM_VERSION_NUMBER "5.11.3")
+set(KDEPIM_VERSION_NUMBER "5.13.3")
 cmake_minimum_required(VERSION 3.5)
 project(kmail-account-wizard VERSION ${KDEPIM_VERSION_NUMBER})
 
 
 set(LIBRARY_NAMELINK LIBRARY NAMELINK_SKIP)
 
-set(KF5_MIN_VERSION "5.56.0")
+set(KF5_MIN_VERSION "5.63.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -28,31 +28,32 @@
 include(ECMQtDeclareLoggingCategory)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
+set(KDE_APPLICATIONS_VERSION "19.12.3")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
+set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${KDE_APPLICATIONS_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "5.11.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.11.3")
-set(KLDAP_LIB_VERSION "5.11.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.11.3")
-set(AKONADI_VERSION "5.11.3")
-set(KIMAP_LIB_VERSION "5.11.3")
-set(AKONADI_MIMELIB_VERSION "5.11.3")
+set(AKONADI_MIMELIB_VERSION "5.13.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.13.3")
+set(KLDAP_LIB_VERSION "5.13.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.13.3")
+set(AKONADI_VERSION "5.13.3")
+set(KIMAP_LIB_VERSION "5.13.3")
+set(AKONADI_MIMELIB_VERSION "5.13.3")
 
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
 
-set(QT_REQUIRED_VERSION "5.10.0")
+set(QT_REQUIRED_VERSION "5.11.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Xml DBus Test)
-set(PIMCOMMON_LIB_VERSION_LIB "5.11.3")
-set(LIBKDEPIM_LIB_VERSION_LIB "5.11.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.11.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.13.3")
+set(LIBKDEPIM_LIB_VERSION_LIB "5.13.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.13.3")
 
 # Find KF5 package
 find_package(KF5Wallet ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -91,12 +92,11 @@
 set( SharedMimeInfo_MINIMUM_VERSION "1.3" )
 find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)
 
-# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
-if (${Qt5Widgets_VERSION} STRGREATER "5.13")
-   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
-else()
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
 endif()
+
 
 # allow to disable GHNS support on resource-constrained systems
 option( ACCOUNTWIZARD_NO_GHNS "Disable GHNS support in the account wizard" FALSE )
@@ -115,7 +115,7 @@
 
 
 add_subdirectory(src)
-install( FILES accountwizard.renamecategories accountwizard.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+install(FILES accountwizard.renamecategories accountwizard.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
