## kmail-account-wizard 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-set(KDEPIM_VERSION_NUMBER "5.13.3")
+set(PIM_VERSION "5.15.3")
 cmake_minimum_required(VERSION 3.5)
-project(kmail-account-wizard VERSION ${KDEPIM_VERSION_NUMBER})
+project(kmail-account-wizard VERSION ${PIM_VERSION})
 
 
 set(LIBRARY_NAMELINK LIBRARY NAMELINK_SKIP)
 
-set(KF5_MIN_VERSION "5.63.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -29,31 +29,31 @@
 
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION)
-set(KDE_APPLICATIONS_VERSION "19.12.3")
+set(RELEASE_SERVICE_VERSION "20.08.3")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${KDE_APPLICATIONS_VERSION})")
+set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "5.13.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.13.3")
-set(KLDAP_LIB_VERSION "5.13.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.13.3")
-set(AKONADI_VERSION "5.13.3")
-set(KIMAP_LIB_VERSION "5.13.3")
-set(AKONADI_MIMELIB_VERSION "5.13.3")
+set(AKONADI_MIMELIB_VERSION "5.15.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.15.3")
+set(KLDAP_LIB_VERSION "5.15.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.15.3")
+set(AKONADI_VERSION "5.15.3")
+set(KIMAP_LIB_VERSION "5.15.3")
+set(AKONADI_MIMELIB_VERSION "5.15.3")
 
-set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
+set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
 
-set(QT_REQUIRED_VERSION "5.11.0")
+set(QT_REQUIRED_VERSION "5.13.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Xml DBus Test)
-set(PIMCOMMON_LIB_VERSION_LIB "5.13.3")
-set(LIBKDEPIM_LIB_VERSION_LIB "5.13.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.13.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.15.3")
+set(LIBKDEPIM_LIB_VERSION_LIB "5.15.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.15.3")
 
 # Find KF5 package
 find_package(KF5Wallet ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -73,7 +73,7 @@
 find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
-find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
+find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
 find_package(MailTransportDBusService CONFIG REQUIRED)
@@ -92,10 +92,12 @@
 set( SharedMimeInfo_MINIMUM_VERSION "1.3" )
 find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
+add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)
+add_definitions(-DQT_NO_EMIT)
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 
 # allow to disable GHNS support on resource-constrained systems
@@ -115,7 +117,7 @@
 
 
 add_subdirectory(src)
-install(FILES accountwizard.renamecategories accountwizard.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
