=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,11 @@
     ui/personaldatapage.ui
     ui/cryptopage.ui
     )
-ecm_qt_declare_logging_category(accountwizard_srcs HEADER accountwizard_debug.h IDENTIFIER ACCOUNTWIZARD_LOG CATEGORY_NAME org.kde.pim.accountwizard)
+
+ecm_qt_declare_logging_category(accountwizard_srcs HEADER accountwizard_debug.h IDENTIFIER ACCOUNTWIZARD_LOG CATEGORY_NAME org.kde.pim.accountwizard
+        OLD_CATEGORY_NAMES log_accountwizard
+        DESCRIPTION "accountwizard (accountwizard)" EXPORT ACCOUNTWIZARD)
+
 
 set(accountwizard_libs
     KF5::AkonadiCore
@@ -88,3 +92,4 @@
     add_subdirectory(autotests)
 endif()
 
+ecm_qt_install_logging_categories(EXPORT ACCOUNTWIZARD FILE accountwizard.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
