=== src/wizards/CMakeLists.txt ===
add_subdirectory(tine20)
