=== debian/changelog ===
kmail-account-wizard (4:20.08.3-1+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2024-50624
    fix man-in-the-middle-attack when using autoconf for retrieving
    configuration
  * for configuration with autoconf.example.com, the config is fetched
    via https and the former http as fallback.
    for configuration via example.com/.well-known/autoconfig the
    config is now fetched only with https

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 27 May 2025 10:03:02 +0200

kmail-account-wizard (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:50:12 +0100

kmail-account-wizard (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:09:21 +0200

kmail-account-wizard (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.
  * Remove backported patch.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:07 +0200

kmail-account-wizard (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Remove the dh_makeshlibs override, as there are no shared libraries.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Unregister the old /etc/xdg/accountwizard.categories,
    /etc/xdg/accountwizard.knsrc, and /etc/xdg/accountwizard.renamecategories
    conffiles.
  * Backport upstream commit a64d80e523edce7d3d59c26834973418fae042f6 to show
    whether a connection is authenticated/encrypted (CVE-2020-15954); patch
    upstream_Show-info-about-encryption-authentication-settings.patch.
    (Closes: #966667)

 -- Pino Toscano <pino@debian.org>  Sat, 22 Aug 2020 10:45:16 +0200

kmail-account-wizard (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:00:41 +0200

kmail-account-wizard (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:23:48 +0200
